Subject: Re: bug#16073: 24.3.50; core dumped

From: Nicolas Richard <[email-masked]>
Date: Fri, 06 Dec 2013 22:51:16 +0100

Dmitry Antipov <[email-masked]> writes:

> On 12/06/2013 07:42 PM, Nicolas Richard wrote:
>
>> (gdb) bt
>> #0  0xb77c8424 in __kernel_vsyscall ()
>> #1  0xb66fcc58 in raise (sig=11) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
>> #2  0x0811946b in terminate_due_to_signal (sig=11, backtrace_limit=40) at emacs.c:377
>> #3  0x08130e77 in handle_fatal_signal (sig=11) at sysdep.c:1624
>> #4  0x08130ef6 in deliver_thread_signal (handler=0x8130e60 <handle_fatal_signal>, sig=11) at sysdep.c:1598
>> #5  deliver_fatal_thread_signal (sig=11) at sysdep.c:1636
>> #6  <signal handler called>
>> #7  0xb743b2c8 in XRenderHasDepths (dpy=0xacc10e0) at /var/tmp/portage/x11-libs/libXrender-0.9.7/work/libXrender-0.9.7/src/Xrender.c:126
>> #8 XRenderExtAddDisplay (dpy=0xacc10e0, extinfo=<optimized out>,
>> ext_name=<optimized out>) at
>> /var/tmp/portage/x11-libs/libXrender-0.9.7/work/libXrender-0.9.7/src/Xrender.c:201
>> #9  XRenderFindDisplay (dpy=0xacc10e0) at /var/tmp/portage/x11-libs/libXrender-0.9.7/work/libXrender-0.9.7/src/Xrender.c:288
>> #10 0xb7437a1f in XRenderFreeGlyphSet (dpy=0xacc10e0,
>> glyphset=73400700) at
>> /var/tmp/portage/x11-libs/libXrender-0.9.7/work/libXrender-0.9.7/src/Glyph.c:71
>> #11 0xb742b3bc in XftFontDestroy (dpy=0xacc10e0, public=0xb61a908) at /var/tmp/portage/x11-libs/libXft-2.3.1/work/libXft-2.3.1/src/xftfreetype.c:1046
>> #12 0x081e5e81 in xftfont_close (font=0xb88caf8) at xftfont.c:498
>> #13 0x0816e287 in cleanup_vector (vector=<optimized out>) at alloc.c:2880
>> #14 cleanup_vector (vector=<optimized out>) at alloc.c:2875
>> #15 0x08172b45 in sweep_vectors () at alloc.c:2917
>> #16 gc_sweep () at alloc.c:6619
>> #17 Fgarbage_collect () at alloc.c:5542
>
> Hm...any ideas to reproduce?

Not really, no, but a similar crash happened a few hours later ; I'll
file a new bug report because I have in fact no idea if they are the
same. It's there : #16083

> And, if you still have core and binary,
> could you please also provide full backtrace of the journey starting
> from Fgarbage_collect, i.e. 'bt 18 full'?

I still have the core file, and it appears I still have the binary too,
so here it is :
(Are the "optimized out" due to me doing something wrong ?)

Current directory is ~/sources/running-emacs/src/
GNU gdb (Gentoo 7.5.1 p2) 7.5.1
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.gentoo.org/>...
Reading symbols from /home/youngfrog/sources/running-emacs/src/emacs-24.3.50.2...done.

warning: core file may not match specified executable file.
[New LWP 21249]
[New LWP 10347]
[New LWP 10346]
[New LWP 21250]
[New LWP 21262]

warning: Could not load shared library symbols for linux-gate.so.1.
Do you need "set solib-search-path" or "set sysroot"?[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/home/youngfrog/sources/running-emacs/src/emacs --daemon'.
Program terminated with signal 11, Segmentation fault.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = localhost:10.0
TERM = dumb
(gdb) bt 18 full
#0  0xb77c8424 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb66fcc58 in raise (sig=11) at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:42
        resultvar = <optimized out>
        resultvar = <optimized out>
        pid = <optimized out>
#2  0x0811946b in terminate_due_to_signal (sig=11, backtrace_limit=40) at emacs.c:377
No locals.
#3  0x08130e77 in handle_fatal_signal (sig=11) at sysdep.c:1624
No locals.
#4  0x08130ef6 in deliver_thread_signal (handler=0x8130e60 <handle_fatal_signal>, sig=11) at sysdep.c:1598
No locals.
#5  deliver_fatal_thread_signal (sig=11) at sysdep.c:1636
No locals.
#6  <signal handler called>
No symbol table info available.
#7  0xb743b2c8 in XRenderHasDepths (dpy=0xacc10e0) at /var/tmp/portage/x11-libs/libXrender-0.9.7/work/libXrender-0.9.7/src/Xrender.c:126
        depths = <optimized out>
        missing = <optimized out>
        scr = <optimized out>
        d = <optimized out>
        s = <optimized out>
#8  XRenderExtAddDisplay (dpy=0xacc10e0, extinfo=<optimized out>, ext_name=<optimized out>) at /var/tmp/portage/x11-libs/libXrender-0.9.7/work/libXrender-0.9.7/src/Xrender.c:201
        dpyinfo = 0xaef0c20
        ext_name = 0xb743e0c0 <XRenderExtensionName> "RENDER"
        extinfo = 0xb743e1a0 <XRenderExtensionInfo>
#9  XRenderFindDisplay (dpy=0xacc10e0) at /var/tmp/portage/x11-libs/libXrender-0.9.7/work/libXrender-0.9.7/src/Xrender.c:288
        dpyinfo = <optimized out>
#10 0xb7437a1f in XRenderFreeGlyphSet (dpy=0xacc10e0, glyphset=73400700) at /var/tmp/portage/x11-libs/libXrender-0.9.7/work/libXrender-0.9.7/src/Glyph.c:71
        info = <optimized out>
        req = <optimized out>
#11 0xb742b3bc in XftFontDestroy (dpy=0xacc10e0, public=0xb61a908) at /var/tmp/portage/x11-libs/libXft-2.3.1/work/libXft-2.3.1/src/xftfreetype.c:1046
        info = <optimized out>
        font = 0xb61a908
        i = <optimized out>
#12 0x081e5e81 in xftfont_close (font=0xb88caf8) at xftfont.c:498
        xftfont_info = 0xb88caf8
#13 0x0816e287 in cleanup_vector (vector=<optimized out>) at alloc.c:2880
No locals.
#14 cleanup_vector (vector=<optimized out>) at alloc.c:2875
No locals.
#15 0x08172b45 in sweep_vectors () at alloc.c:2917
        total_bytes = <optimized out>
        free_this_block = false
        nbytes = <optimized out>
        block = 0xb88bc08
        bprev = <optimized out>
        lv = <optimized out>
        lvprev = 0x8455930 <large_vectors>
        vector = 0xb88caf8
        next = <optimized out>
#16 gc_sweep () at alloc.c:6619
No locals.
#17 Fgarbage_collect () at alloc.c:5542
        nextb = <optimized out>
        stack_top_variable = 12 '\f'
        i = <optimized out>
        message_p = false
        start = {
          tv_sec = 1386343549, 
          tv_nsec = 210115001
        }
        retval = <optimized out>
        tot_before = 0
(More stack frames follow...)
You can't do that without a process to debug.
(gdb)

Thanks for your help

--
Nico.